## org.apache.mahout.clustering.minhash
Enum HashFactory.HashType

    java.lang.Object
      java.lang.Enum<HashFactory.HashType>
          org.apache.mahout.clustering.minhash.HashFactory.HashType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HashFactory.HashType>

Enclosing class:
  HashFactory

    public static enum HashFactory.HashType

extends java.lang.Enum<HashFactory.HashType>

Enum Constant Summary
`LINEAR`
`MURMUR`
`POLYNOMIAL`

Method Summary
`static HashFactory.HashType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HashFactory.HashType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LINEAR

    public static final HashFactory.HashType LINEAR

### POLYNOMIAL

    public static final HashFactory.HashType POLYNOMIAL

### MURMUR

    public static final HashFactory.HashType MURMUR

Method Detail

### values

    public static HashFactory.HashType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HashFactory.HashType c : HashFactory.HashType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HashFactory.HashType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.